
Redmine - Feature #22452

Add ability to display last note on issue query

2016-04-11 19:40 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be very useful to display last issue note in the issue query just like it is possible for description.

Related issues:

Related to Redmine - Feature #1474: Show last comment/notes in the issue list Closed 2008-06-16

History

#1 - 2016-05-11 09:51 - Toshi MARUYAMA

- Category changed from UI to Issues filter

#2 - 2016-07-11 19:47 - @ go2null

We use a "Last note" custom field and a custom workflow.

If required, we could possibly break it out into a plugin.

#3 - 2016-07-12 09:43 - Anonymous

related to #1474

Our company could also greatly profit from this additional query functionality.

#4 - 2016-07-12 10:00 - Sebastian Paluch

This is how I solved it locally:

added to the issue:

      def last_note

       if !journals || !(journal = journals.where("notes <> ''").last)

         @last_note ||= "" 

       else

         @last_note ||= journal.notes

       end

 added to issue_query:

            available_columns << QueryColumn.new(:last_note,

              :caption => :field_notes_last,

              :totalable => false,

              :inline => false

            ) unless columns.detect{ |c| c.name == :last_note } 

but this does not check for security, private notes, etc.

sorry for not providing as a patch...

#5 - 2016-08-09 13:12 - Toshi MARUYAMA

- Related to Feature #1474: Show last comment/notes in the issue list added

#6 - 2017-03-19 04:48 - Go MAEDA
https://github.com/anteo/redmine_custom_workflows
https://www.redmine.org/issues/1474


- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #1474 for upcoming Redmine 3.4.0.
